Document collaboration

Accept, reject, withdraw or record external application

POST
/v1/documents/{documentId}/suggestions/{suggestionId}

Authorization

bearerAuth
AuthorizationBearer <token>

A personal API key (psk_…) or an OAuth access token (plan_at_…). Scopes: read, write.

In: header

Path Parameters

documentId*string

The documentId.

suggestionId*string

The suggestionId.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/documents/string/suggestions/string" \  -H "Content-Type: application/json" \  -d '{    "requestId": "d385ab22-0f51-4b97-9ecd-b8ff3fd4fcb6",    "expectedVersion": 1,    "action": "accept"  }'
{  "eventId": "string",  "suggestionId": "string",  "threadId": "string",  "version": 0,  "state": "string",  "acceptedRevision": "string",  "commitId": "string"}